{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
  {% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
<script type="text/javascript" src="{% static 'admin/js/jquery.js' %}"></script>
{{ media }}
{{ form.media }}
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}" />
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block breadcrumbs %}
<div class="breadcrumbs">
     <a href="javascript:window.close()">{% trans "Cerrar" %}</a> &rsaquo;
     <a href="../{{ matriculado.id }}">{% trans "Atras" %}</a> &rsaquo;
</div>
{% endblock %}

{% block title %} {% trans 'Asignación de Pagos UDL' %} {% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}

<fieldset class="module aligned">
<h2>Datos del Alumno Matriculado</h2>
<div class="form-row">
	<div class="field-box">
		<label class="required" >Alumno:</label>
                {{ matriculado.Alumno|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Código:</label>
                {{ matriculado.Alumno.Codigo|escape }}
	</div>
	<div class="field-box">
		<label class="required inline" >Matrícula:</label>
		{{ matriculado.Periodo|escape }}
	</div>
</div>
<div class="form-row">
        <div class="field-box">
		<label class="required" >Carrera:</label>
                {{ matriculado.Alumno.Carrera|escape }}
	</div>
	<div class="field-box">
		<label class="required" >Categoria:</label>
                {{ matriculado.Categoria|escape }}
	</div>
</div>
</fieldset>

<fieldset class="module aligned">
<h2>Datos del Comprobante de Pago</h2>
<form action="save" method="POST" >{% csrf_token %}
{{ form.Matriculado }}
<div class="form-row">
	<div class="field-box">
                {{ form.TipoComprobante.errors }}
		<label class="required" >Comprobante:</label>
                {{ form.TipoComprobante }}
	</div>
        <div class="field-box">
             {{ form.Correlativo.errors }}
             <label class="required inline" >Correlativo:</label>
             {{ form.Correlativo }}
	</div>

</div>
<div class="form-row">
	<div class="field-box">
		<label>Glosa:</label>
                {{ form.Glosa }}
	</div>
        <div class="field-box">
             {{ form.FechaPago.errors }}
             <label class="required inline" >Fecha:</label>
             {{ form.FechaPago }}
	</div>
</div>
</fieldset>


<div id="content-main">
    <div class = "module" id="changelist" >
      {% block result_list %}
        <h2>{% trans 'Moras a Cobrar' %}</h2>
        <div>{% if errores %}
                   {% for error in errores %}
                   <ul class="errorlist">
                   <li>{{ error }}</li>
                   </ul>
                   {% endfor %}
            {% endif %}
        </div>
        {% if pagos %}
        <table>
        <THEAD>
        <TR>
        <TH>&rsaquo;</TH>
        <TH>{% trans 'Concepto' %}</TH>
        <TH>{% trans 'Deuda Mora' %}</TH>
        <TH>{% trans 'A Pagar' %}</TH>
        </TR>
	</THEAD>
        <TBODY>
        {% for pago in pagos %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD><input type="hidden" name = "pago_id" value="{{ pago.id }}" />&rsaquo;</TD>
           <TD>{{ pago.ConceptoPago }}</TD>
           <TD>S/. {{ pago.DeudaMora|escape }}</TD>
           <TD>S/. {{ pago.DeudaMora|escape }}
               <input type="hidden" name = "a_pagar" value="{{ pago.DeudaMora|escape }}" />
           </TD>
        </TR>
        {% endfor %}
        </TBODY>
        </table>
        {% endif %}
      {% endblock %}
    </div>
    <div class="submit-row">
     <input class="default" type="submit" value="Grabar" />
    </div>
    </form>
  </div>
{% endblock %}
